commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Niall Pemberton" <niall.pember...@gmail.com>
Subject Re: commons-parent-7 discussion
Date Fri, 11 Jan 2008 11:10:50 GMT
On Jan 11, 2008 10:50 AM, Niall Pemberton <niall.pemberton@gmail.com> wrote:
> On Jan 11, 2008 10:47 AM, Jörg Schaible
> <Joerg.Schaible@elsag-solutions.com> wrote:
> > Hi Niall,
> >
> >
> > Niall Pemberton wrote:
> > > I just made some more changes to commons-parent:
> > >   http://svn.apache.org/viewvc?view=rev&revision=611126
> > >
> > > This includes the "hack" to put the NOTICE/LICENSE files in the
> > > javadoc jar (which Dennis was -1 to, but three people agreed). See
> > > http://tinyurl.com/2zueu5 for all changes since commons-parent-6.
> > >
> > > Theres also the issue of specifying the "version" of the
> > > remote-resources-plugin - which in previous discussions people
> > > objected to. Please Note this is not configuring commons-parent to
> > > *use* that plugin - but just to specify the version number *if* a
> > > component does use it. I don't mind it going in and it has no impact
> > > unless components use it. Does anyone still have a problem with doing
> > > this? Also are there any other changes people think should be made
> > > before trying to release commons-parent-7?
> >
> > You have to set the versions of the plugins used in the reporting section directly.
They are not affected by the version set in the pluginManagement section (unfortunatelly).
The pluginManagement entries will only influence the plugins of the build section.
>
> Doh! OK thanks for the info - I'll correct it.

OK revised changes since commons-parent-6 is here: http://tinyurl.com/2v5lnh

(I left in the javadoc plugin as that takes part in the build too?)

Niall

> Niall
>
>
> > - Jörg
> >
> > BTW: Just in case someone does not believe this: Set the version of the javadoc
plugin to 2.2 and reference it without version once in the build and the reporting section.
Then use M205 to build the site. It will fail, since it tries to use for the report the newer
maven-javadoc-plugin 2.3 which needs a newer Maven version.
>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message